<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2026 Workiva-->
<!--r:019d6867-12d1-7eaf-854f-34d978a51436,g:13b09b2d-6d7b-4efc-aea5-b580bfcfed66-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_rytm_EquityAwardAdjustmentIncreaseBasedOnIncrementalFairValueOfOptionsSarsModifiedDuringApplicableFYMember_label_en-US" xlink:label="lab_rytm_EquityAwardAdjustmentIncreaseBasedOnIncrementalFairValueOfOptionsSarsModifiedDuringApplicableFYMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Equity Award Adjustment Increase Based On Incremental Fair Value Of Options Sars Modified During Applicable FY [Member]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_rytm_EquityAwardAdjustmentIncreaseBasedOnIncrementalFairValueOfOptionsSarsModifiedDuringApplicableFYMember" xlink:href="rytm-20260429.xsd#rytm_EquityAwardAdjustmentIncreaseBasedOnIncrementalFairValueOfOptionsSarsModifiedDuringApplicableFYMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_rytm_EquityAwardAdjustmentIncreaseBasedOnIncrementalFairValueOfOptionsSarsModifiedDuringApplicableFYMember" xlink:to="lab_rytm_EquityAwardAdjustmentIncreaseBasedOnIncrementalFairValueOfOptionsSarsModifiedDuringApplicableFYMember" xlink:type="arc" order="1"/>
    <link:label id="lab_rytm_EquityAwardAdjustmentDeductionInFairValueOfAwardsGrantedDuringPriorFyThatWereForfeitedDuringApplicableFyDeterminedAsOfPriorFyEndMember_label_en-US" xlink:label="lab_rytm_EquityAwardAdjustmentDeductionInFairValueOfAwardsGrantedDuringPriorFyThatWereForfeitedDuringApplicableFyDeterminedAsOfPriorFyEndMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en-US">Equity Award Adjustment, Deduction in Fair Value of Awards Granted during Prior FY that were Forfeited during Applicable FY, determined as of Prior FY End [Member]</link:label>
    <link:label id="lab_rytm_EquityAwardAdjustmentDeductionInFairValueOfAwardsGrantedDuringPriorFyThatWereForfeitedDuringApplicableFyDeterminedAsOfPriorFyEndMember_documentation_en-US" xlink:label="lab_rytm_EquityAwardAdjustmentDeductionInFairValueOfAwardsGrantedDuringPriorFyThatWereForfeitedDuringApplicableFyDeterminedAsOfPriorFyEndMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xml:lang="en-US">Equity Award Adjustment, Deduction in Fair Value of Awards Granted during Prior FY that were Forfeited during Applicable FY, determined as of Prior FY End.</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_rytm_EquityAwardAdjustmentDeductionInFairValueOfAwardsGrantedDuringPriorFyThatWereForfeitedDuringApplicableFyDeterminedAsOfPriorFyEndMember" xlink:href="rytm-20260429.xsd#rytm_EquityAwardAdjustmentDeductionInFairValueOfAwardsGrantedDuringPriorFyThatWereForfeitedDuringApplicableFyDeterminedAsOfPriorFyEndMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_rytm_EquityAwardAdjustmentDeductionInFairValueOfAwardsGrantedDuringPriorFyThatWereForfeitedDuringApplicableFyDeterminedAsOfPriorFyEndMember" xlink:to="lab_rytm_EquityAwardAdjustmentDeductionInFairValueOfAwardsGrantedDuringPriorFyThatWereForfeitedDuringApplicableFyDeterminedAsOfPriorFyEndMember" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
